Package twisted :: Package persisted :: Module sob :: Class Persistant |
[frames | no frames]

## Class Persistant

Method Summary
| `__init__(self, original, name)`
| `_getFilename(self, filename, ext, tag)`
| `_getStyle(self)`
| `_saveTemp(self, filename, passphrase, dumpFunc)`
| ``save`(self, tag, filename, passphrase)` Save object to file.
| ``setStyle`(self, style)` Set desired format.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.persisted.sob.IPersista...`
`str` | `style` = `'pickle'`

Method Details

### save(self, tag=None, filename=None, passphrase=None) Save object to file. Parameters: `tag` (type=string) `filename` (type=string) `passphrase` (type=string)

### setStyle(self, style) Set desired format. Parameters: `style` (type=string (one of 'pickle', 'source' or 'xml'))

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.persisted.sob.IPersistable at 0x8339c54>,)

    ### style Type: `str` Value:
        'pickle'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:54 2003 | http://epydoc.sf.net